package com.nasc.custom.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 材料内容表
 * @return:
 */
public class NascMaterial {
    /** 材料表主键ID */
    private Long id;

    /** 前置问题选项ID */
    private Long optionId;

    /** 事项ID（无前置问题时出现） */
    private Long matterId;

    /** 申请条件 **/
    private String conditions;

    /** 办理方式 **/
    private String dealWith;

    /** 材料清单 **/
    public List<NascMaterialList> materialList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOptionId() {
        return optionId;
    }

    public void setOptionId(Long optionId) {
        this.optionId = optionId;
    }

    public Long getMatterId() {
        return matterId;
    }

    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }

    public String getConditions() {
        return conditions;
    }

    public void setConditions(String conditions) {
        this.conditions = conditions;
    }

    public String getDealWith() {
        return dealWith;
    }

    public void setDealWith(String dealWith) {
        this.dealWith = dealWith;
    }

    public List<NascMaterialList> getMaterialList() {
        return materialList;
    }

    public void setMaterialList(List<NascMaterialList> materialList) {
        this.materialList = materialList;
    }
}
